## rox 2.5

=== ROX-Filer/src/Makefile ===
# Note: this Makefile is NOT built from Makefile.in. The generated Makefile
# goes in the build directory. We just call that from here.
# Use AppRun --compile to create the build directory in the first place.

BUILDDIR = ../build

all:
	cd ${BUILDDIR} && ${MAKE}

clean:
	cd ${BUILDDIR} && ${MAKE} clean

## rox 2.11

=== ROX-Filer/src/Makefile ===
--- 
+++ 
@@ -7,5 +7,9 @@
 all:
 	cd ${BUILDDIR} && ${MAKE}
 
+# This ensures we get the header files for GTK 2.4
+with0launch:
+	0launch --source --main=/ROX-Filer/build --wrapper='make -C' ../ROX-Filer-src.xml
+
 clean:
 	cd ${BUILDDIR} && ${MAKE} clean

=== ROX-Filer/src/Docs/Makefile ===
HELP=../../Help
RES=../..
MAN=../../..

TO_HTML = to_html.xsl

all: Manual.valid ${HELP}/Manual.html ${MAN}/rox.1 \
     Manual-fr.valid ${HELP}/Manual-fr.html \
     Manual-it.valid ${HELP}/Manual-it.html 

%.valid: %.xml
	xmllint --valid --noout --postvalid $<

${HELP}/%.html: %.xml $(TO_HTML)
	xsltproc -o $@ $(TO_HTML) $<

${MAN}/rox.1: Manual.xml to_man.xsl
	xsltproc -o $@ to_man.xsl $<

=== debian/changelog ===
rox (1:2.11-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Use valid Vcs-* fields. (Closes: #973784) 
  * debian/control: Do not suggest installing menu since the package
    has migrated from .menu to .desktop file.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Feb 2021 10:32:23 -0500

rox (1:2.11-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS under some locales (thx Vagrant Cascadian, closes: #979593).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2021 03:48:49 +0100

rox (1:2.11-3) unstable; urgency=medium

  * QA upload.
  * Comment out outdated and down VCS.
  * Replace menu entry with .desktop (Closes: #647377, #541976)
  * Depend on sensible-utils.
  * Don't invoke update-mime-info manually (Closes: #860844)
  * Convert README-es to UTF-8.
  * Fix FTCBFS: (Closes: #905951, Helmut Grohne)
    + Pass --host to the ./configure wrapper.
    + Also export a suitable PKG_CONFIG.
  * Install Templates.ui (Closes: #546907)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 01 Jan 2021 04:39:36 +0100

rox (1:2.11-2) unstable; urgency=medium

  * Orphaning the package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Dec 2020 12:50:01 +0000

rox (1:2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #957770)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 May 2020 12:14:41 +0100

rox (1:2.11-1) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #670731)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix maintainer-script-ignores-errors postinst (Lintian).

  [ Graham Inggs ]
  * Update to canonical Vcs fields and new collab-maint repository.
  * Remove build-depends on libxp-dev.
    (Closes: #623661)
  * Updated d/watch taken from QA, thanks Bart Martens.
  * New upstream.
    (Closes: #699801)
  * Update d/patches and remove build-depends on libglade2-dev.
  * Bump epoch so Ubuntu can sync automatically.
    (Closes: #734698)
  * Build with hardening and -Wl,--as-needed flags.
  * Machine-readable d/copyright file.
  * Bump Standards-Version to 3.9.5, no further changes.

  [ Francesco Paolo Lovergine ]
  * Reshuffled layout of debian/control. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 09 Mar 2014 15:28:17 +0100

rox (2.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: support.o: undefined reference to symbol
    'floor@@GLIBC_2.2.5'":
    add patch gcc-4.8.dpatch to link against math lib.
    (Closes: #713627)

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2013 15:16:21 +0200

rox (2.10-3) unstable; urgency=low

  * Added asneeded.dpatch to fix a missing libdl linking. 
    Thanks Mahyuddin Susanto.
    (closes: #556327)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Jun 2011 13:09:22 +0200

rox (2.10-2) unstable; urgency=low

  * Merged NMU: drop (unused) build-dep on libxtrap-dev, which is going
    to be removed. Thanks Zack. (closes: #559698)
  * Changed upstream pt_BR.po.
    (closes: #558326)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 16 Mar 2010 15:04:20 +0100

rox (2.10-1) unstable; urgency=low

  [ Tony Houghton ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Added Vcs-* field for common git repository.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 01 Aug 2009 16:50:58 +0200

rox (2.9-2) unstable; urgency=low

  * Now applying nostrip.dpatch for true :-(

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Jul 2009 17:05:14 +0200

rox (2.9-1) unstable; urgency=low

  * New upstream release: patchset not changed.
    (closes: #535602, #536396)
  * Debhelper level set to 7.
  * Menu section set to Applications/File Management which seems more appropriate.
  * Policy bumped to 3.8.2
  * Removed obsolete x-dev dependency.
    (closes: #515521)
  * The manual.sh script is not bash dependent, fixed sheebang line. 
  * Added nostrip.dpatch to remove upstream auto-stripping of rox binary.
    (closes: #437924)
  * Added a simple debopts management in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 09 Jul 2009 18:57:49 +0200

rox (2.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed locale support in global.dpatch.
    (closes: #483530)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Sep 2008 20:17:04 +0200

rox (2.7.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #417240, #325332)
  * Policy bumped to 3.7.3 (no changes). 
  * Patchset revised. 
  * Added libglade2-dev build-dep.
  * Added zeroinstall-injector recommendation.
    (closes: #443079)
  * Debhelper level bumped to 5.
  * Added Homepage field in debian/control.
  * Changed maintainer address back to my address, because ROX team is inactive.
  * Menu section moved to Applications as in current policy.
  * Removed obsolete debhelper compatibilty declaration in debian/rules. 
  * debian/scripts/locale.sh changed to use current ROX locale structure.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 17 May 2008 12:33:46 +0200

rox (2.5-1) unstable; urgency=low

  * New upstream version.
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 15:12:52 +0200

rox (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed listview.dpatch (merged upstream).
  * Removed superlfluous pm-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 30 Jan 2006 17:30:12 +0100

rox (2.4-2) unstable; urgency=low

  * Added listview.dpatch. It will be integrated in 2.4.1
    (closes: #344678,#345361)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 31 Dec 2005 09:39:33 +0100



=== debian/control ===
Source: rox
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.5
Build-Depends: libgtk2.0-dev (>= 2.0.1)
 , libxml2-dev
 , debhelper (>= 9)
 , file
 , libatk1.0-dev
 , libglib2.0-dev (>= 2.0.3)
 , libpango1.0-dev
 , libsm-dev
 , libx11-dev
 , x11proto-core-dev
 , libxext-dev
 , libxi-dev
 , libxrender-dev
 , libice-dev
 , zlib1g-dev
 , libxrandr-dev
 , libxft-dev
 , libexpat1-dev
 , libxmu-dev
 , libxmuu-dev
 , libxpm-dev
 , libxt-dev
 , libxtst-dev
 , libxv-dev
Homepage: http://rox.sourceforge.net/desktop/ROX-Filer
Vcs-Git: https://salsa.debian.org/debian/rox.git
Vcs-Browser: https://salsa.debian.org/debian/rox

Package: rox-filer
Architecture: any
Suggests: file
Depends: ${shlibs:Depends}, shared-mime-info (>= 0.16), sensible-utils, ${misc:Depends}
Recommends: zeroinstall-injector
Description: simple graphical file manager for X11
 ROX-Filer is a simple and easy to use graphical file manager
 for X11 based on the GTK2 library. It uses a uniform
 drag-and-drop approach for every operation.
 .
 It is also the core component of the ROX Desktop Environment.
 .
 Invoking rox opens each directory or file listed,  or  the
 current working directory if no arguments are given.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE  := $(shell dh_listpackages)
DESTDIR  := $(shell pwd)/debian/$(PACKAGE)
BUILDDIR := $(shell pwd)

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

configure: configure-stamp
configure-stamp:
	dh_testdir

	# do nothing 

	touch configure-stamp


build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	ROX-Filer/AppRun --compile --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	(cd ROX-Filer/src/po && ./dist)

	touch build-stamp

clean: myclean
myclean:
	dh_testdir
	dh_testroot
	( cd ${BUILDDIR}/ROX-Filer && rm -f ROX-Filer ROX-Filer.dbg && rm -rf build )
	rm -f build-stamp configure-stamp
	rm -rf $(DESTDIR)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r ${BUILDDIR}/Choices ${DESTDIR}/usr/share/rox
	rm -rf ${DESTDIR}/usr/share/rox/Choices/MIME-info/
	cp ${BUILDDIR}/ROX-Filer/*.xml ${DESTDIR}/usr/share/rox

	cp ${BUILDDIR}/ROX-Filer/Help/Changes ${DESTDIR}/usr/share/doc/${PACKAGE}/changelog
	cp ${BUILDDIR}/ROX-Filer/Help/*html ${DESTDIR}/usr/share/doc/${PACKAGE}/html/.
	cp ${BUILDDIR}/ROX-Filer/style.css ${DESTDIR}/usr/share/doc/${PACKAGE}/html/.
	cp -r ${BUILDDIR}/ROX-Filer/images ${DESTDIR}/usr/share/rox
	cp -r ${BUILDDIR}/ROX-Filer/ROX ${DESTDIR}/usr/share/rox
	
	cp ${BUILDDIR}/ROX-Filer/ROX-Filer ${DESTDIR}/usr/bin/rox
	cp ${BUILDDIR}/ROX-Filer/.DirIcon ${DESTDIR}/usr/share/rox/.DirIcon
	cp ${BUILDDIR}/ROX-Filer/Templates.ui ${DESTDIR}/usr/share/rox/Templates.ui
	cp rox.xml ${DESTDIR}/usr/share/mime/packages

	/bin/sh debian/scripts/locale.sh
	/bin/sh debian/scripts/manual.sh

	LC_ALL=C.UTF-8 iconv -f iso-8859-1 <README-es >${DESTDIR}/usr/share/doc/${PACKAGE}/README-es

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman 
	dh_installchangelogs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_link usr/bin/rox usr/bin/rox-filer
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install myclean

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/rox/ \
(?:|.*/)rox-filer[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
